//conductg.cpp

#include "conducto.h"
#include "conductg.h"
#include "spatialg.h"
#ifdef UNIX
#include "diags.h"
#endif 

class Species;

//=================== ConductorParams Class

ConductorParams::ConductorParams(GridParams* _GP, SpatialRegionGroup* srg)
	: DielectricParams(_GP, srg)
{
	name = "Conductor";
}

Boundary* ConductorParams::CreateCounterPart()
{
  Boundary* B =
	 new Conductor(SP.GetLineSegments());
  addSecondaries(B);
  return B;
}
