#ifndef __MCCG_H
#define __MCCG_H

//#include "part1g.h"
//#include "gridg.h"
//#include "maxwelln.h"
#include "mcc.h"
#include "speciesg.h"

class SpatialRegionGroup;

//==================== MCCParams class
// class for loading MCC packages

class MCCParams : public ParameterGroup
{
  SpatialRegionGroup* SRG;
 protected:
  StringParameter gas;
  ScalarParameter pressure;
  ScalarParameter temperature;
  StringParameter eSpecies;
  StringParameter iSpecies;
	StringParameter tSpecies;
  StringParameter bSpecies;
  IntParameter ionzFraction_i;
  ScalarParameter icxFactor;
  ScalarParameter ecxFactor;

 public:
  MCCParams(SpatialRegionGroup* SRG);
  virtual ~MCCParams() {};

  MCCPackage* CreateCounterPart();
  void checkRules();
};  

#endif  // ifndef __MCCG_H  
