#ifndef __fft_h
#define __fft_h

/*//====================================================================*/
/*

fft.h

0.9	(JohnV 01-11-96) Added for definitions.

*/
/*//====================================================================*/

#ifdef __cplusplus
extern "C" {
#endif
void four1(float *data, int nn, int isign);
void realft(float *data, int n, int isign);
void sinft(float *y, int n);
void cosft(float *y, int n, int isign);
void twofft(float *data1, float *data2, float *fft1, float *fft2, int n);
void fourn(float *data, int *nn, int ndim, int isign);
#ifdef __cplusplus
}
#endif

#endif
