//diags.h
#ifndef DIAGS_H
#define DIAGS_H

// #ifndef UNIX
// #include "PltModel.h"
// #endif
//#include "paramsg.h"
#include "part1g.h"
#include "spatialg.h"

class GUIConfig;

class DiagnosticParams : public ParameterGroup
// #ifndef UNIX
// , public DragObject2
// #endif
{
protected:
 GridParams* GP;
 IntParameter j1;
 IntParameter k1;

public:

	  DiagnosticParams();

	  DiagnosticParams(GridParams* _GP);
	  //  since diagnostics are all placed on grid, this class needs
	  //  to know the dimensions of the grid

	  virtual ~DiagnosticParams() {};

	  void setGrid(GridParams* _GP)
		{GP = _GP;}

	  virtual void checkRules();
	  // checks all rules associated with the class

	  virtual void describe() {};

	  virtual void writeOutputFile(ofstream &fout) { }
	  //  writes to file

	// needed by geometry editor
#ifndef UNIX
/*
	void setClickPoint(Point clickPoint);

	Segment getSegment();
	void setSegment(Segment& s);

	virtual void createProbeHistory(GUIConfig* theGUI, SpatialRegion* sr)
	{ }
*/
#endif
};

#ifndef UNIX
/*
class EFieldProbe : public DiagnosticParams {
protected:
	IntParameter component;

public:

  EFieldProbe(GridParams* _GP);
  ~EFieldProbe() {};
	IntParameter& getcomponent();
	void createProbeHistory(GUIConfig* theGUI, SpatialRegion* sr);
};

class BFieldProbe : public EFieldProbe {
public:
	BFieldProbe(GridParams* _GP) : EFieldProbe(_GP) { }
	void createProbeHistory(GUIConfig* theGUI, SpatialRegion* sr);
};

class CurrentProbe : public EFieldProbe {
public:
	CurrentProbe(GridParams* _GP) : EFieldProbe(_GP) { }
	void createProbeHistory(GUIConfig* theGUI, SpatialRegion* sr);
};

class RhoProbe : public EFieldProbe {
public:
	RhoProbe(GridParams* _GP) : EFieldProbe(_GP) { }
	void createProbeHistory(GUIConfig* theGUI, SpatialRegion* sr);
};

class DivDerrorProbe : public EFieldProbe {
public:
	DivDerrorProbe(GridParams* _GP) : EFieldProbe(_GP) { }
	void createProbeHistory(GUIConfig* theGUI, SpatialRegion* sr);
};

*/
#endif
#endif // DIAGS_H
