//eqpotg.cpp

#include "eqpot.h"
#include "eqpotg.h"
#include "spatialg.h"
#ifdef UNIX
#include "diags.h"
#endif

//=================== EquipotentialParams Class
EquipotentialParams::EquipotentialParams(GridParams* _GP,SpatialRegionGroup * srg) : ConductorParams(_GP,srg) {
	name = "Equipotential";

}

Boundary* EquipotentialParams::CreateCounterPart()
{
	Boundary* B = new Equipotential(SP.GetLineSegments());
	addSecondaries(B);
	return B;
}
