//  the DADI object, xy geometry, periodic in x1, hardwired.
#ifndef __DADIXYP_H
#define __DADIXYP_H
#include "dadi.h"
class DadixyPer : public Dadi
{
  
 protected:

  void adi(Scalar **uadi, Scalar **s, Scalar del_t);

  void init_solve(Grid *grid,Scalar **epsi);

 public:

  int solve(Scalar **u_in, Scalar **s, int itermax,Scalar tol_test);
  int laplace_solve(Scalar **u_in, Scalar **s, int itermax,Scalar tol_test) {
	  return solve(u_in,s,itermax,tol_test);
  }

  DadixyPer(Scalar **epsi,Grid *grid):
			  Dadi(epsi,grid) 
				 {
					init_solve(grid,epsi);
				 }

  void set_coefficient(int j, int k, BCTypes type, Grid *grid);
  BCTypes get_coefficient(int j, int k);
		 
  ~DadixyPer();

};
#endif //__DADIXYP_H
