#ifndef PRECISION_H
#define PRECISION_H

// this header file is used only to define the precision (float or double)
// with which the code is to be built.

// 2.50  Bruhwiler  01/19/2000

#ifdef SCALAR_DOUBLE
  #define Scalar double
  #define ScalarChar "double"
  #define ScalarInt 8
  #define MPI_Scalar MPI_DOUBLE
#else
  #define Scalar float
  #define ScalarChar "float"
  #define ScalarInt 4
  #define MPI_Scalar MPI_FLOAT
#endif

#endif  // PRECISION_H
