////////////////////////////////////////////////////////
//
//  printf.cpp:  function that writes to the information
//               text editor
//
//  Copyright 1998  Tech-X Corporation
//  Author:  Kelly G. Luetkemeyer
//
//  CVS: $Id: printf.cpp,v 1.2.2.1 2000/01/27 23:56:23 kgl Exp $
//
///////////////////////////////////////////////////////

/*!
  Include the Information widget definitions.
  Declare the global external inform pointer
  from main.cpp
 */

#include "Information.h"
#include <stdio.h>
extern "C++" Information *inform;

/*!
  The printf function writes the \a input to the text
  information editor window.
 
  Declare in C++ routines as:
  
  extern "C++" void printf(char *);

 */

void printf(char *input) {
   inform->write(input);
   puts(input);
}
